Search SIMs
Search sims under your partner account by different criteria.
Request
Query parameters
Page number of the search result. Minimum value allowed is 1.
A limit on the number of items returned. Allowed value can range between 1 and 100.
Search query string.
Filter results by sim type.
PHYSICAL— Physical SIMEMBEDDED— eSIM
Filter results by device type.
PEPLINK— Linked with a Peplink DeviceNON_PEPLINK— 3rd-party SIM
Filter results by billing type.
PREPAID— Prepaid SIMPOSTPAID— Postpaid SIM
Filter results by data region.
GLOBAL— Global data planUS— NA & EU data plan
Filter results by tag IDs.
Filter results by iccids.
Filter results by Peplink serial numbers.
Sort results by postpaid monthly usage of the specified year. Minimum value allowed is 2022.
Effective only for postpaid sims. Use these parameters (billingType=POSTPAID, sortByPostpaidMonthlyUsageYear, sortByPostpaidMonthlyUsageMonth) at the same time.
Sort results by postpaid monthly usage of the specified month. Allowed value can range between 1 and 12.
Effective only for postpaid sims. Use these parameters (billingType=POSTPAID, sortByPostpaidMonthlyUsageYear, sortByPostpaidMonthlyUsageMonth) at the same time.
Response
A json is returned in the response body with the following fields:
Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.
Returns records found for the current page of search result.
Show child attributes
ICCID of the sim.
Tag IDs of the sim.
Type of the sim.
PHYSICAL— Physical SIMEMBEDDED— eSIM
Device type of the sim.
PEPLINK— Linked with a Peplink DeviceNON_PEPLINK— 3rd-party SIM
Billing type of the sim.
PREPAID— Prepaid SIMPOSTPAID— Postpaid SIM
Order number of the sim.
Time of when the sim is ordered.
SN (serial number) of Peplink device linked to the sim. null if not applicable.
IMEI of Peplink device linked to the sim. null if not applicable.
EID of Peplink device linked to the sim. null if not applicable.
Data region of the sim.
GLOBAL— Global data planUS— NA & EU data plan
Activate code of the sim. null if not applicable.
Postpaid monthly usages of the sim. null if not applicable.
Show child attributes
Year of the usage.
Month of the usage.
Used data volume (in MB) of the usage.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/search?pageNum=1&pageSize=5' \ -H 'Authorization: Bearer {token}'Response
{
"totalCount": 1,
"items": [
{
"iccid": "89000000000000000000",
"tagIds": [],
"simType": "EMBEDDED",
"deviceType": "NON_PEPLINK",
"billingType": "PREPAID",
"orderNumber": "AEXXXXXXX",
"orderedAt": "2025-02-06T01:25:20.000Z",
"peplinkDeviceSn": null,
"imei": null,
"eid": null,
"dataRegion": "GLOBAL",
"activationCode": "LKDLSKJDLAKSJDLKASJDKLSADSA",
"postpaidMonthlyUsages": null
}
]
}